/*
 File: identifiersym.cpp
 Date and Time: Fri Jan 30 18:55:12 2015 
*/
#include "identifier.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_identifier;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_identifier::TH_identifier(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_identifier;
  NS_identifier::Cidentifier Cidentifier_;// parallel-parser's parse table
#define ssPARSE_TABLE Cidentifier_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_identifier::PROC_TH_identifier(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_identifier";
  static bool one_time(false);
  static NS_identifier::Cidentifier* NS_identifier_Cidentifier_(0);// parallel-parser's fsm table
  static Parser* NS_identifier_Cidentifier_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_identifier_Cidentifier_ = new NS_identifier::Cidentifier();// parallel-parser's fsm table
    NS_identifier_Cidentifier_parser = new Parser(*NS_identifier_Cidentifier_,Caller_pp);
  }
 proc_parser = NS_identifier_Cidentifier_parser;
#include "wproc_pp_core.h"
}
void 
Cidentifier::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Ridentifier_:{
       Ridentifier* sym;
     if(re->rule_ == 0){
       sym = new Ridentifier(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ridentifier*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Ridentifier_:{
       Ridentifier* sym;
     if(re->rule_ == 0){
       sym = new Ridentifier(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ridentifier*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->op();
     return;}
    case rhs1_Rid_suffix_:{
       Rid_suffix* sym;
     if(re->rule_ == 0){
       sym = new Rid_suffix(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rid_suffix*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs1_Rstart_char_:{
       Rstart_char* sym;
     if(re->rule_ == 0){
       sym = new Rstart_char(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstart_char*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rstart_char_:{
       Rstart_char* sym;
     if(re->rule_ == 0){
       sym = new Rstart_char(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstart_char*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rstart_char_:{
       Rstart_char* sym;
     if(re->rule_ == 0){
       sym = new Rstart_char(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstart_char*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rstart_char_:{
       Rstart_char* sym;
     if(re->rule_ == 0){
       sym = new Rstart_char(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstart_char*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs11_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs12_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs13_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs11_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs12_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs13_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs11_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs12_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs13_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs11_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs12_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs13_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    default: return;
   }
}
